# Uses of Class
org.apache.lucene.classification.utils.ConfusionMatrixGenerator.ConfusionMatrix

Packages that use ConfusionMatrixGenerator.ConfusionMatrix
Package
Description
org.apache.lucene.classification.utils
Utilities for evaluation, data preparation, etc.

- ## Uses of ConfusionMatrixGenerator.ConfusionMatrix in org.apache.lucene.classification.utils

  Methods in org.apache.lucene.classification.utils that return ConfusionMatrixGenerator.ConfusionMatrix
  Modifier and Type
  Method
  Description
  `static <T> ConfusionMatrixGenerator.ConfusionMatrix`
  ConfusionMatrixGenerator.`getConfusionMatrix(IndexReader reader, Classifier<T> classifier, String classFieldName, String textFieldName, long timeoutMilliseconds)`
  get the `ConfusionMatrixGenerator.ConfusionMatrix` of a given `Classifier`, generated on the given `IndexReader`, class and text fields.